org.apache.fop.afp

## Interface Completable

All Known Implementing Classes:
  AbstractDataObject, AbstractGraphicsDrawingOrderContainer, AbstractPageObject, AbstractResourceEnvironmentGroupContainer, AbstractResourceGroupContainer, Document, GraphicsChainedSegment, GraphicsData, GraphicsObject, ImageObject, InvokeMediumMap, NoOperation, ObjectContainer, Overlay, PageGroup, PageObject, ResourceEnvironmentGroup, StreamedResourceGroup

    public interface Completable

Set and expose the internal completeness of an object.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `isComplete()` Returns true if this object is complete
`void` `setComplete(boolean complete)` Sets whether or not this object is complete or not

### Method Detail

#### setComplete

    void setComplete(boolean complete)

Sets whether or not this object is complete or not

Parameters:
  `complete` - true if this object is complete

#### isComplete

    boolean isComplete()

Returns true if this object is complete

Returns:
  true if this object is complete